LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::frame::LayoutManagerEvents Constant Group Reference

provides information about layout manager events More...

## Variables
const short | LOCK = 0
| specifies that the layout manager processed a lock call, which prevents it from doing layouts. More...
const short | UNLOCK = 1
| specifies that the layout manager processed an unlock call, which admit layouts when the lock count is zero. More...
const short | LAYOUT = 2
| specifies that the layout manager refreshed the layout of the frame. More...
const short | VISIBLE = 3
| specifies that the layout manager container frame window becomes visible. More...
const short | INVISIBLE = 4
| specifies that the layout manager container frame window becomes invisible. More...
const short | MERGEDMENUBAR = 5
| A merged menu bar has been set at the layout manager. More...
const short | UIELEMENT_VISIBLE = 6
| specifies that a certain user interface element has been made visible More...
const short | UIELEMENT_INVISIBLE = 7
| specifies that a certain user interface element has been made invisible More...

## Detailed Description

provides information about layout manager events

Events are provided only for notification purposes only.

See also
  com::sun::star::frame::LayoutManager
  com::sun::star::frame::XLayoutManagerEventBroadcaster

Since
  OOo 2.0

## Variable Documentation

## ◆ INVISIBLE

const short INVISIBLE = 4

specifies that the layout manager container frame window becomes invisible.

This event sends no additional information.

## ◆ LAYOUT

const short LAYOUT = 2

specifies that the layout manager refreshed the layout of the frame.

This event sends no additional information.

## ◆ LOCK

const short LOCK = 0

specifies that the layout manager processed a lock call, which prevents it from doing layouts.

This event sends the current lock count as additional information.

## ◆ MERGEDMENUBAR

const short MERGEDMENUBAR = 5

A merged menu bar has been set at the layout manager.

This event sends no additional information.

## ◆ UIELEMENT_INVISIBLE

const short UIELEMENT_INVISIBLE = 7

specifies that a certain user interface element has been made invisible

This event sends the resource url of the invisible user interface element.

## ◆ UIELEMENT_VISIBLE

const short UIELEMENT_VISIBLE = 6

specifies that a certain user interface element has been made visible

This event sends the resource url of the newly visible user interface element.

## ◆ UNLOCK

const short UNLOCK = 1

specifies that the layout manager processed an unlock call, which admit layouts when the lock count is zero.

This event sends the current lock count as additional information.

## ◆ VISIBLE

const short VISIBLE = 3

specifies that the layout manager container frame window becomes visible.

This event sends no additional information.